The Retrieve Vaulted Shopper request retrieves all the saved details for the shopper associated with the BlueSnap token (vaultedShopperId) you send in the request.
Request Content
No content is required in the request body. Enter the relevant IDs in the request URL, as follows:
By Vaulted Shopper ID
Enter the vaultedShopperId into the web service URL, in the format:
services/2/vaulted-shoppers/{vaultedShopperId}For example:
services/2/vaulted-shoppers/20769005By Merchant Shopper ID
Enter the merchantShopperId in the web service URL, in the format:
services/2/vaulted-shoppers/merchant/{merchantShopperId}For example:
services/2/vaulted-shoppers/merchant/6783334400Response Details
If successful, the response HTTP status code is 200 OK.
The response contains the retrieved vaultedShopper resource (see vaultedShopper).
Note: Non-reusable cards, like gift cards, will not be returned as payment sources.
Examples
Request Example
curl -v -X GET https://sandbox.bluesnap.com/services/2/vaulted-shoppers/19549046 \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d 'curl -v -X GET https://sandbox.bluesnap.com/services/2/vaulted-shoppers/merchant/6783334400 \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d 'Response Example
{
"paymentSources": {
"creditCardInfo": [
{
"billingContactInfo": {
"firstName": "FirstName",
"lastName": "LastName"
},
"processingInfo": {
"avsResponseCodeAddress": "U",
"cvvResponseCode": "ND",
"avsResponseCodeName": "U",
"avsResponseCodeZip": "U"
},
"creditCard": {
"expirationYear": 2023,
"cardLastFourDigits": "0026",
"cardSubType": "CREDIT",
"cardType": "VISA",
"expirationMonth": 10
},
"dateCreated": "09/30/2020",
"timeCreated": "05:59:40"
}
]
},
"firstName": "FirstName",
"lastName": "LastName",
"vaultedShopperId": 19549046,
"lastPaymentInfo": {
"paymentMethod": "CC",
"creditCard": {
"cardLastFourDigits": "0026",
"cardType": "VISA",
"cardCategory": "CLASSIC"
}
},
"dateCreated": "09/22/2020",
"timeCreated": "13:41:10"
}{
"paymentSources": {
"creditCardInfo": [
{
"billingContactInfo": {
"firstName": "Jane",
"lastName": "Shopper"
},
"processingInfo": {
"avsResponseCodeAddress": "U",
"cvvResponseCode": "ND",
"avsResponseCodeName": "U",
"avsResponseCodeZip": "U"
},
"creditCard": {
"expirationYear": 2023,
"cardLastFourDigits": "0026",
"cardFingerprint": "a0f6043de947e8458a5f8b689e8349218d805d02caa622dcddc6b01d93e15ea36f1d2e1c0686623d04b9414eee39671f50fecde671fd2c80f0a6241098144a33",
"cardSubType": "CREDIT",
"cardType": "VISA",
"expirationMonth": 10
},
"dateCreated": "09/30/2020",
"timeCreated": "05:59:40"
}
]
},
"firstName": "Jane",
"lastName": "Shopper",
"vaultedShopperId": 19549046,
"merchantShopperId": "6783334400",
"lastPaymentInfo": {
"paymentMethod": "CC",
"creditCard": {
"cardLastFourDigits": "0026",
"cardType": "VISA",
"cardCategory": "CLASSIC"
}
},
"dateCreated": "09/22/2020",
"timeCreated": "13:41:10"
}{
"vaultedShopperId": 19569754,
"firstName": "FirstName",
"lastName": "LastName",
"country": "us",
"zip": "02453",
"phone": "1234567890",
"shopperCurrency": "USD",
"paymentSources": {
"ecpDetails": [
{
"billingContactInfo": {
"firstName": "FirstName",
"lastName": "LastName"
},
"ecp": {
"accountType": "CONSUMER_CHECKING",
"publicAccountNumber": "99992",
"publicRoutingNumber": "75150"
},
"dateCreated": "09/30/2020",
"timeCreated": "05:48:18"
},
{
"billingContactInfo": {
"firstName": "FirstName",
"lastName": "LastName"
},
"ecp": {
"accountType": "CONSUMER_SAVINGS",
"publicAccountNumber": "99993",
"publicRoutingNumber": "75151"
},
"dateCreated": "09/30/2020",
"timeCreated": "05:59:40"
}
]
},
"dateCreated": "09/22/2020",
"timeCreated": "13:41:10"
}API Explorer
To test out a call, enter an existing vaulted shopper ID (e.g 20769005) in the vaultedShopperId field. This will automatically insert the ID into the request URL.
